import request from '@/utils/request'

// 查询线路计量信息列表
export function listLineMonitor(query) {
  return request({
    url: '/ems/lineMonitor/list',
    method: 'get',
    params: query
  })
}

// 查询线路计量信息详细
export function getLineMonitor(objid) {
  return request({
    url: '/ems/lineMonitor/' + objid,
    method: 'get'
  })
}

// 新增线路计量信息
export function addLineMonitor(data) {
  return request({
    url: '/ems/lineMonitor',
    method: 'post',
    data: data
  })
}

// 修改线路计量信息
export function updateLineMonitor(data) {
  return request({
    url: '/ems/lineMonitor',
    method: 'put',
    data: data
  })
}

// 删除线路计量信息
export function delLineMonitor(objid) {
  return request({
    url: '/ems/lineMonitor/' + objid,
    method: 'delete'
  })
}
